/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.client.shared.model;

import java.util.List;

/**
 * The Fixanalysis implementation of an Artifact (client side).
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class FixAnalysisArtifact extends AbstractFixBunduArtifact {

    public static final String NAME = "fixanalysis";

    public FixAnalysisArtifact() {
        super();
    }

    public FixAnalysisArtifact(final String uuid, final String hash) {
        super(uuid, hash);
    }

    public FixAnalysisArtifact(final String uuid, final String hash, final boolean background, final List<CalculationMessage> msg) {
        super(uuid, hash, background, msg);
    }

    @Override
    public String getName() {
        return NAME;
    }

    @Override
    protected String getEventstateId() {
        return "state.fix.eventselect"; // synchron halten mit xml-file im Server
    }

}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
